#include<bits/stdc++.h>
using namespace std;

double zbir[10010], p[10010];

bool fun(int i, int j)
{
	return (p[i]<p[j]);
}

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL); cout.tie(NULL);
	int n, m[10010];
	double a[10010], maks=0, s=100;
	cin>>n;
	for(int i=0; i<n; i++)
	{
		cin>>a[i]>>p[i];
		m[i]=i;
	}
	sort(m,m+n,fun);
	zbir[n-1]=a[m[n-1]];
	maks=a[m[n-1]]*p[m[n-1]]/s;
	for(int i=n-2; i>=0; i--)
	{
		zbir[i]=zbir[i+1]+a[m[i]];
		if(zbir[i]*p[m[i]]/s > maks) maks=zbir[i]*p[m[i]]/s;
	}
	
	cout<<setprecision(4)<<fixed<<maks;
}